import axios from '@/libs/axios.js';

// 交易记录列表
export const getGoldLogList = params => {
	let url = `officialPartnerGoldLog/query/${params.pageNo}/${params.pageSize}`
	delete params.pageNo
	delete params.pageSize
	return axios.request({
		url: url,
		method: 'post',
		data: params
	})
};
// 撤销单据
export const GoldLogCancel = params => {
  return axios.request({
    url: `officialPartnerGoldLog/cancel/${params.id}`,
    method: 'get',
  })
};

// 总计乐豆数
export const GoldLogTotal = params => {
	return axios.request({
	  url: `officialPartnerGoldLog/total`,
	  method: 'post',
	  data: params
	})
}

// 根据手机号码查询用户乐豆余额
export const queryldByMobile = params => {
  return axios.request({
    url: `customer/queryByMobile/${params.mobile}`,
    method: 'get',
  })
};

// 乐豆核销
export const offPartnerHx = params => {
	return axios.request({
	  url: `offPartner/verification`,
	  method: 'post',
	  data: params
	})
}

// 发送短信验证码
export const sendVerifyCode = params => {
  return axios.request({
    url: `offPartner/sendVerifiCode/${params.mobile}`,
    method: 'get',
  })
}
// 校验验证码
export const checkVerificationCode = params => {
  return axios.request({
    url: `offPartner/checkVerificationCode/${params.mobile}/${params.code}`,
    method: 'get',
  })
}